*{
    padding:0px;
    margin:0px;
}

:root{
    --main-black:#000000;
    --main-gray:#EBF2F7;
    --body-font-size:15px;
    --accent-color:#17a2b8;
    --gray-color:rgb(128, 127, 127);
    --card-shadow:1px 1px 5px rgba(0, 0, 0, 0.1);
}

@font-face {
    font-family: 'GeneralSansMedium';
    src: url('../lib/GeneralSans_Complete/Fonts/TTF/GeneralSans-Variable.ttf') format('truetype');
}

/******************** Utilities start **********************/

body{
    font-size:var(--body-font-size);
    font-family: 'GeneralSansMedium', serif;
}

a{
    text-decoration: none;
    color:inherit;
    cursor: pointer;
}

input{
    outline: none;
}

select{
    outline: none;
}
.w-full{
    width:100%;
}

.w-90{
    width:90%;
}

.w-80{
    width:80%;
}

.w-70{
    width:70%;
}

.w-60{
    width:60%;
}

.w-50{
    width:50%;
}

.h-full{
    height:100%;
}

.font-600{
    font-weight:600;
}
.font-700{
    font-weight:700;
}
.font-800{
    font-weight:800;
}
.font-900{
    font-weight:900;
}

.accent-color{
    color:var(--accent-color);
}

.accent-background-color{
    background:var(--accent-color);
}
.black-btn{
    border:none;
    padding:10px 30px;
    background:var(--main-black);
    color:#fff;
    border-radius:100px;
    font-size:var(--body-font-size);
    cursor: pointer;
}

.accent-btn{
    border:none;
    padding:10px 30px;
    background:var(--accent-color);
    color:#fff;
    border-radius:100px;
    font-size:var(--body-font-size);
    cursor: pointer;
}

.black-btn-outline{
    padding:10px 30px;
    background:rgba(0, 0, 0, 0);
    color:var(--main-black);
    border:1px solid var(--main-black);
    border-radius:100px;
    font-size:var(--body-font-size);
    cursor: pointer;
}

.accent-btn-outline{
    padding:10px 30px;
    background:rgba(0, 0, 0, 0) !important;
    color:var(--accent-color) !important;
    border:1px solid var(--accent-color) !important;
    border-radius:100px;
    font-size:var(--body-font-size);
    cursor: pointer;
}

.white-btn{
    padding:10px 30px;
    background:#fff;
    color:var(--main-black);
    border-radius:100px;
    font-size:var(--body-font-size);
    border:1px solid lightgrey;
    cursor: pointer;
}

.text-center{
    text-align:center;
}

.centered-div{
    display:flex;
    justify-content: center;
}

.m-auto{
    margin:auto;
}

.text-black{
    color:var(--main-black);
}

.bg-black{
    background:var(--main-black);
}

.text-accent{
    color:var(--accent-color);
}

.bg-accent{
    background:var(--accent-color);
}

.display-block{
    display:block;
}

.alert{
    position:relative;
    border-radius:5px;
    padding:10px;
}

.alert.alert-success{
    background:mediumseagreen;
    color:white;
}

.alert.alert-info{
    background:royalblue;
    color:white;
}

.alert.alert-warning{
    background:orange;
    color:white;
}

.alert.alert-danger{
    background:crimson;
    color:white;
}

.hide-on-desktop{
    display:none !important;
}

.show-on-desktop{
    display:block !important;
}

/******************** Utilities end ***********************/


/******************** components start ***********************/


  

.header{
    width:100%;
    height:40px;
    position:relative;
    /* background:#FBFBFB; */
    background:var(--accent-color);
    /* background:red; */
    padding:15px 0px;
    border-bottom:1px solid #eee;
    /* position:fixed;
    top:0px;
    left:0px;
    z-index:1000; */
}

.header.fixed-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    background: #222;
}

.header .container{
    position:relative;
    width:90%;
    margin:auto;
    display:flex;
    justify-content: space-between;
    gap:10px;
}
.header .container .section1{
    /* width:30%; */
    display:flex;
    align-items: center;
}

.header .container .section1 h1{
    /* color:var(--main-black); */
    color:#fff;
    font-size:25px;
    font-weight:600;
}

.header .container .section2{
    /* width:40%; */
    display:flex;
    align-items: center;
}

.header .container .section2 .search-container{
    display:flex;
    /* border:1px solid lightgrey; */
    border:none;
    border-radius:100px;
    width:300px;
    padding:10px;
    background:#fff;
}

.header .container .section2 .search-container input{
    border:none;
    width:80%;
    background:rgba(0, 0, 0, 0);
    
}

.header .container .section2 .search-container button{
    border:none;
    width:20%;
    background:rgba(0, 0, 0, 0);
    font-size:20px;
    color:gray;
    display:flex;
    gap:10px;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}


.header .container .section3{
    /* width:30%; */
    display:flex;
    align-items: center;
    justify-content: flex-end;
}

.header .container .section3 ul{
    display:flex;
    gap:30px;
}

.header .container .section3 ul li{
    list-style: none;
    display:flex;
    align-items: center;
}

.header .container .section3 ul li a{
    color:#fff;
    display:flex;
    align-items: center;
    white-space: nowrap;

}

.header .container .section3 ul li a .icon{
    font-size: 15px;
    margin-left:3px;
}

.header .container .section3 ul li a .profile-image{
    width:25px;
    height:25px;
    border-radius:25px;
    margin-left:10px;
}

.header .container .section3 ul li a .count{
    width:15px;
    height:15px;
    border-radius:15px;
    background:crimson;
    color:#fff;
    display:inline-block;
    font-size:10px;
    margin-left:5px;
  }
  
.header .container .section3 ul li a .count .count-value{
    display:flex;
    justify-content: center;
    align-items: center;
}

.header .container .section3 ul .close-btn{
    display:none;
}

.header .container .section3 .mobile-menu-toggle-btn{
    background:#fff;
    color:var(--accent-color);
    border:none;
    border-radius:10px;
    font-size:25px;
    padding:5px;
    display:flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    display:none;
}

.mobile-menu-section{
    width:100%;
    position:fixed;
    bottom:0px;
    left:0px;
    display:none;
    border-top:1px solid lightgrey;
    background:#fff;
    z-index:1000;
    padding:10px 0px;
}

.mobile-menu-section .box{
    width:25%;
}

.mobile-menu-section .box .icon-container{
    position:relative;
    width:100%;
    text-align:center;
    display:block;
}

.mobile-menu-section .box .icon-container .icon{
    font-size:25px;
    color:var(--main-black);
}

.mobile-menu-section .box .icon-container .icon.active{
    color:var(--accent-color);
}

.mobile-menu-section .box .text{
    position:relative;
    width:100%;
    text-align:center;
    font-size:13px;
    display:block;
    color:var(--main-black);
}

.mobile-menu-section .box .text.active{
    color:var(--accent-color);
}

.properties-container{
    position:relative;
    width:100%;
    display:flex;
    /* justify-content: space-between; */
    flex-wrap:wrap;
    gap:10px;
    
}


.properties-container .box{
    position:relative;
    width:23%;
    border:1px solid lightgrey;
    border-radius:10px;
    overflow: hidden;
    margin-bottom:20px;
    background:#fff;
    /* box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.1); */
}


.properties-container .box.boosted{
    background:moccasin;
}

.properties-container .box .image-container{
    position:relative;
    width:100%;
    margin-bottom:15px;
    display:block;
    overflow: hidden;
}

.properties-container .box .image-container .image{
    position:relative;
    width:100%;
    height:200px;
    object-fit: cover;
    transition: 0.5s;
    visibility: hidden;
    z-index:2;
}

.properties-container .box .image-container .image.loaded{
    visibility: visible;
}

.properties-container .box .image-container .placeholder{
    position:absolute;
    top:0px;
    left:0px;
    z-index:1;
    width:100%;
    height:100%;
    display:flex;
    justify-content: center;
    align-items: center;
    background: #eee;
    color:var(--accent-color);
    opacity: 0.2;
    font-size:20px;
    font-weight:600;
    animation: property_image_placeholder_animation 3s ease infinite;
}

@keyframes property_image_placeholder_animation {
    0%{
        opacity: 0.2;
    }
    50%{
        opacity: 0.08;
    }
    100%{
        opacity: 0.2;
    }
}

.properties-container .box .image-container .image:hover{
    transform: scale(1.3);
}

.properties-container .box .image-container .room-type{
    position:absolute;
    left:10px;
    top:10px;
    background:#fff;
    border-radius:5px;
    font-size:15px;
    padding:5px;
    color:var(--accent-color);
    z-index:2;
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.1);
}

.properties-container .box .image-container .save-btn{
    position:absolute;
    right:10px;
    top:10px;
    background:#fff;
    border-radius:5px;
    font-size:20px;
    padding:5px;
    color:#eee;
    z-index:2;
    display:flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.1);
}


.properties-container .box .image-container .top-btn{
    position:absolute;
    right:10px;
    bottom:10px;
    background:orange;
    border-radius:5px;
    font-size:15px;
    padding:5px;
    color:var(--main-black);
    z-index:2;
    box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.1);
}

.properties-container .box .image-container .save-btn.saved{
    color:var(--accent-color);
}

.properties-container .box .title{
    width:90%;
    margin:auto;
    position:relative;
    font-size:15px;
    font-weight:500;
    color:var(--accent-color);
    margin-bottom:5px;
}

.properties-container .box .price{
    width:90%;
    margin:auto;
    position:relative;
    font-size:20px;
    font-weight:500;
    color:var(--main-black);
    margin-bottom:15px;
}

.properties-container .box .location{
    width:90%;
    margin:auto;
    position:relative;
    font-size:13px;
    color:grey;
    margin-bottom:15px;
    display:flex;
    align-items:center;
}

.properties-container .box .location .bx-map{
    font-size:15px;
}

.properties-container .box .line{
    width:100%;
    height:1px;
    background:lightgrey;
}

.properties-container .box .view-details-btn-container{
    position:relative;
    width:90%;
    margin:auto;
    padding:10px 0px;
    display:flex;
    justify-content: flex-end;
    text-wrap: nowrap;
}

.properties-container .no-data-container{
    position:relative;
    width:100%;
}


.properties-container .no-data-container .image-container{
    width:100%;
    display:flex;
    justify-content: center;
    margin-bottom:20px;
}

.properties-container .no-data-container .image-container img{
    width:150px;
}

.properties-container .no-data-container .text{
    width:100%;
    text-align: center;
    color:var(--gray-color);
}

.pagination-container {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.pagination-container .prev-btn {
    padding: 10px 20px;
    border: 1px solid lightgrey;
    background:#fff;
    box-shadow: var(--card-shadow);
    color: #000;
    font-size: 14px;
    text-align: center;
    border-radius: 10px;
}

.pagination-container .count {
    padding: 10px 20px;
    color: var(--gray-color);
    font-size: 14px;
    text-align: center;
}

.pagination-container .next-btn {
    padding: 10px 20px;
    border: 1px solid lightgrey;
    background:#fff;
    box-shadow: var(--card-shadow);
    color: #000;
    font-size: 14px;
    text-align: center;
    border-radius: 10px;
}

.loader-container{
    position:fixed;
    top:0px;
    left:0px;
    width:100%;
    height:100%;
    background:rgba(0, 0, 0, 0.8);
    z-index:3000;
    display:none;
    justify-content: center;
    align-items: center;
}

.loader-container img{
    width:50px;
    height:auto;
}
/******************** components end ***********************/


/** *******************start of tablet screen************************/

@media only screen and (max-width: 1000px) {

    /** Utilities start **/

    .hide-on-mobile{
        display:none !important;
    }

    .show-on-mobile{
        display:block !important;
    }
    /** Utilities end **/
    .header .container .section1{
        width:40%;
    }

    .header .container .section1 h1{
        font-size:20px;
        font-weight:700;
    }

    .header .container .section2{
        width:60%;
    }

    .header .container .section2 .search-container{
        width:100%;
    }

    .header .container .section2 .search-container input{
        width:100%;
    }

    .header .container .section3{
        width:10%;
    }

    .header .container .section3 .mobile-menu-sidebar-overlay{
        position:fixed;
        top:0px;
        left:0px;
        width:100%;
        height:100%;
        background:rgba(0, 0, 0, 0.8);
        z-index:1050;
        display:none;
    }

    .header .container .section3 ul{
        position:fixed;
        top:0px;
        right:-100%;
        width:80%;
        height:100%;
        background:#fff;
        z-index:1500;
        display:flex;
        flex-direction: column;
        padding-top:20px;
        transition:0.5s ease;
        overflow-y:auto;
      
    }

    .header .container .section3 ul.open{
        right:0%;
    }

    .header .container .section3 ul.close{
        right:-100%;
    }

   

    .header .container .section3 ul .close-btn{
        position:absolute;
        top:0px;
        right:10px;
        color:var(--accent-color);
        font-size:25px;
        z-index:50;
        display:block;
    }

    .header .container .section3 ul li{
        padding-left:20px;
        position:relative;
    }

    .header .container .section3 ul li a{
        color:var(--main-black);
    }

    .header .container .section3 ul li a.black-btn{
        color:#fff;
        margin-bottom:50px;
    }

    .header .container .section3 .mobile-menu-toggle-btn{
        display:flex;
    }

    .mobile-menu-section{
        display:flex;
    }

    .properties-container{
        justify-content: space-between;
        gap:0px;
    }

    .properties-container .box{
        width:45%;
    }

}

/** ******************* end of tablet screen************************/



/** *******************start of small screen************************/

@media only screen and (max-width: 700px) {
    .properties-container .box{
        width:30%;
    }
}

/** *******************end of small screen************************/